# BEGIN SourceDeps(oneline):
BuildRequires: perl(Const/Fast.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(Log/Log4perl.pm) perl(Module/Install.pm) perl(Moose.pm) perl(MooseX/ClassAttribute.pm) perl(MooseX/Enumeration.pm) perl(MooseX/Log/Log4perl.pm) perl(Path/Tiny.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Try/Tiny.pm) perl(Types/Standard.pm) perl(URI.pm) perl(URI/Escape.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define module_name CrawlerCommons-RobotRulesParser
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: parser for robots.txt files
Group: Development/Perl
License: artistic2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AK/AKROBINSN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is a fairly close reproduction of the Crawler-Commons
SimpleRobotRulesParser

From BaseRobotsParser javadoc:

 Parse the robots.txt file in <i>content</i>, and return rules appropriate
 for processing paths by <i>userAgent</i>. Note that multiple agent names
 may be provided as comma-separated values; the order of these shouldn't
 matter, as the file is parsed in order, and each agent name found in the
 file will be compared to every agent name found in robotNames.
 Also note that names are lower-cased before comparison, and that any
 robot name you pass shouldn't contain commas or spaces; if the name has
 spaces, it will be split into multiple names, each of which will be
 compared against agent names in the robots.txt file. An agent name is
 considered a match if it's a prefix match on the provided robot name. For
 example, if you pass in "Mozilla Crawlerbot-super 1.0", this would match
 "crawlerbot" as the agent name, because of splitting on spaces,
 lower-casing, and the prefix match rule.

The method failedFetch is not implemented.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md ignore.txt README
%perl_vendor_privlib/C*

%changelog
* Thu Aug 17 2017 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

